//
// FORMATION: WALL
//
// An offensive formation that puts all of its ships on the front
// line.  Shaped like a square, there are four rows of four ships, the
// heaviest firepower being kept in the middle.
//

//
// include common formation stuff
//
#include "formdef.h"

char formationName[16] = "Assault Wall";

// Which formation are we?
int m_formationID = 0;

// In the space of this formation
float m_shipRadius = .4;

FormationSpecElement formationSpec[MAX_FORMATION_SIZE] =
{
//--------------------------------------------------------------------

	// Back wall.  Artillery and noncombatants
60,     0.0, 0.0, -2, 'A', 'N', '-', '-', '-', '-', '-',
61,     1,   0.0, -2, 'A', 'N', '-', '-', '-', '-', '-',
62,    -1,   0.0, -2, 'A', 'N', '-', '-', '-', '-', '-',
63,     0,   1,   -2, 'A', 'N', '-', '-', '-', '-', '-',
64,     1,   1,   -2, 'A', 'N', '-', '-', '-', '-', '-',
65,    -1,   1,   -2, 'A', 'N', '-', '-', '-', '-', '-',
66,     0,  -1,   -2, 'A', 'N', '-', '-', '-', '-', '-',
67,     1,  -1,   -2, 'A', 'N', '-', '-', '-', '-', '-',
68,    -1,  -1,   -2, 'A', 'N', '-', '-', '-', '-', '-',
69,     2,   0.0, -2, 'A', 'N', '-', '-', '-', '-', '-',
70,    2,   1,   -2, 'A', 'N', '-', '-', '-', '-', '-',
71,    2,  -1,   -2, 'A', 'N', '-', '-', '-', '-', '-',
72,   -1,   2,   -2, 'A', 'N', '-', '-', '-', '-', '-',
73,    0,   2,   -2, 'A', 'N', '-', '-', '-', '-', '-',
74,    1,   2,   -2, 'A', 'N', '-', '-', '-', '-', '-',
75,    2,   2,   -2, 'A', 'N', '-', '-', '-', '-', '-',
76,   -2,   0.0, -2, 'A', 'N', '-', '-', '-', '-', '-',
77,   -2,   1,   -2, 'A', 'N', '-', '-', '-', '-', '-',
78,   -2,  -1,   -2, 'A', 'N', '-', '-', '-', '-', '-',
79,   -2,   2,   -2, 'A', 'N', '-', '-', '-', '-', '-',
80,   -2,  -2,   -2, 'A', 'N', '-', '-', '-', '-', '-',
81,   -1,  -2,   -2, 'A', 'N', '-', '-', '-', '-', '-',
82,    0,  -2,   -2, 'A', 'N', '-', '-', '-', '-', '-',
83,    1,  -2,   -2, 'A', 'N', '-', '-', '-', '-', '-',
84,    2,  -2,   -2, 'A', 'N', '-', '-', '-', '-', '-',
85,    3,  0,    -2, 'A', 'N', '-', '-', '-', '-', '-',
86,    3,  -1,    -2, 'A', 'N', '-', '-', '-', '-', '-',
87,    3,  1,    -2, 'A', 'N', '-', '-', '-', '-', '-',
88,   3,  -2,    -2, 'A', 'N', '-', '-', '-', '-', '-',
89,   3,  2,    -2, 'A', 'N', '-', '-', '-', '-', '-',

	// Mid wall.  Frigates
30,     0.0, 0.0, -2, 'F', 'X', '-', '-', '-', '-', '-',
31,     1,   0.0, -2, 'F', 'X', '-', '-', '-', '-', '-',
32,    -1,   0.0, -2, 'F', 'X', '-', '-', '-', '-', '-',
33,     0,   1,   -2, 'F', 'X', '-', '-', '-', '-', '-',
34,     1,   1,   -2, 'F', 'X', '-', '-', '-', '-', '-',
35,    -1,   1,   -2, 'F', 'X', '-', '-', '-', '-', '-',
36,     0,  -1,   -2, 'F', 'X', '-', '-', '-', '-', '-',
37,     1,  -1,   -2, 'F', 'X', '-', '-', '-', '-', '-',
38,    -1,  -1,   -2, 'F', 'X', '-', '-', '-', '-', '-',
39,     2,   0.0, -2, 'F', 'X', '-', '-', '-', '-', '-',
40,    2,   1,   -2, 'F', 'X', '-', '-', '-', '-', '-',
41,    2,  -1,   -2, 'F', 'X', '-', '-', '-', '-', '-',
42,   -1,   2,   -2, 'F', 'X', '-', '-', '-', '-', '-',
43,    0,   2,   -2, 'F', 'X', '-', '-', '-', '-', '-',
44,    1,   2,   -2, 'F', 'X', '-', '-', '-', '-', '-',
45,    2,   2,   -2, 'F', 'X', '-', '-', '-', '-', '-',
46,   -2,   0.0, -2, 'F', 'X', '-', '-', '-', '-', '-',
47,   -2,   1,   -2, 'F', 'X', '-', '-', '-', '-', '-',
48,   -2,  -1,   -2, 'F', 'X', '-', '-', '-', '-', '-',
49,   -2,   2,   -2, 'F', 'X', '-', '-', '-', '-', '-',
50,   -2,  -2,   -2, 'F', 'X', '-', '-', '-', '-', '-',
51,   -1,  -2,   -2, 'F', 'X', '-', '-', '-', '-', '-',
52,    0,  -2,   -2, 'F', 'X', '-', '-', '-', '-', '-',
53,    1,  -2,   -2, 'F', 'X', '-', '-', '-', '-', '-',
54,    2,  -2,   -2, 'F', 'X', '-', '-', '-', '-', '-',
55,    3,  0,    -2, 'F', 'X', '-', '-', '-', '-', '-',
56,    3,  -1,    -2, 'F', 'X', '-', '-', '-', '-', '-',
57,    3,  1,    -2, 'F', 'X', '-', '-', '-', '-', '-',
58,   3,  -2,    -2, 'F', 'X', '-', '-', '-', '-', '-',
59,   3,  2,    -2, 'F', 'X', '-', '-', '-', '-', '-',

	// Front wall (main combat ships)
0,     0.0, 0.0, 0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
1,     1,   0.0, 0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
2,    -1,   0.0, 0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
3,     0,   1,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
4,     1,   1,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
5,    -1,   1,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
6,     0,  -1,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
7,     1,  -1,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
8,    -1,  -1,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
9,     2,   0.0, 0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
10,    2,   1,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
11,    2,  -1,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
12,   -1,   2,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
13,    0,   2,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
14,    1,   2,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
15,    2,   2,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
16,   -2,   0.0, 0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
17,   -2,   1,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
18,   -2,  -1,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
19,   -2,   2,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
20,   -2,  -2,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
21,   -1,  -2,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
22,    0,  -2,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
23,    1,  -2,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
24,    2,  -2,   0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
25,    3,  0,    0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
26,    3, -1,    0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
27,    3,  1,    0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
28,    3, -2,    0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
29,    3,  2,    0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
};



